<Manage::FieldContainer @title={{@title}} @isDisabled={{@isDisabled}} @editablePanel={{@editablePanel}} @isSaveDisabled={{this.isInvalid}}
  @onEdit={{@onEdit}} @onSave={{this.save}} @value={{@value}} @onCancel={{@onCancel}} class='container-group-text'
  ...attributes>
  <:view>
    {{#if (and (not @value) @emptyError)}}
      {{#if @isMainValue}}
        <div class='alert alert-info' role='alert'>
          {{@emptyError}}
        </div>
      {{else}}
        <span class='text-muted'>{{@emptyError}}</span>
      {{/if}}
    {{else}}
      {{#if @renderAsCode}}
        <code><pre>{{@value}}</pre></code>
      {{else}}
        <p>{{@value}}</p>
      {{/if}}
    {{/if}}
  </:view>

  <:edit>
    <div class='input-group' {{did-insert this.setupValue}}>
      {{#if @options}}
        <Input::Select class='form-control' @list={{@options}} @value={{this.value}} @onChange={{this.change}} />
      {{else if @useTextArea}}
        {{!-- template-lint-disable require-input-label --}}
        <Textarea class='form-control' @value={{this.value}} placeholder={{@placeholder}} rows='6' />
      {{else}}
        <Input class='form-control {{if this.isInvalid 'is-invalid'}}' @type={{@type}} @value={{this.value}} placeholder={{@placeholder}} />
        {{#if this.isInvalid}}
          <div class="invalid-feedback">
            {{t this.validationMessage}}
          </div>
        {{/if}}
      {{/if}}
    </div>
  </:edit>
</Manage::FieldContainer>